took away the requirement for automake-1.4, changed the messages for

* autogen.sh: took away the requirement for automake-1.4,
  changed the messages for getting auto* tools to current
  gnu pages.
* configure.in, configure: added check for Linux Dec alpha
  requiring -ieee flag, fixed test for ipv6
* trionan.c: fixed problem for compiling on Linux Dec alpha
  using native compiler
* doc/Makefile.am: implemented regeneration of win32/libxml2.def.src
  whenever libxml2-api.xml is changed.
diff --git a/ChangeLog b/ChangeLog
index 36d24d3..9c74ea0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+Tue Aug 12 18:55:08 HKT 2003 William Brack <wbrack@mmm.com.hk>
+
+	* autogen.sh: took away the requirement for automake-1.4,
+	  changed the messages for getting auto* tools to current
+	  gnu pages.
+	* configure.in: added check for Linux Dec alpha requiring
+	  -ieee flag, fixed test for ipv6
+	* trionan.c: fixed problem for compiling on Linux Dec alpha
+	  using native compiler
+	* doc/Makefile.am: implemented regeneration of win32/libxml2.def.src
+	  whenever libxml2-api.xml is changed.
+	  
 Mon Aug 11 17:02:23 CEST 2003 Daniel Veillard <daniel@veillard.com>
 
 	* parser.c: cleaning up a problem when parsing UTF-16 and libiconv
diff --git a/autogen.sh b/autogen.sh
index 278bc64..db6ece2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,29 +12,24 @@
 	echo
 	echo "You must have autoconf installed to compile libxml."
 	echo "Download the appropriate package for your distribution,"
-	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+	echo "or see http://www.gnu.org/software/autoconf"
 	DIE=1
 }
 
 (libtool --version) < /dev/null > /dev/null 2>&1 || {
 	echo
 	echo "You must have libtool installed to compile libxml."
-	echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz"
-	echo "(or a newer version if it is available)"
+	echo "Download the appropriate package for your distribution,"
+	echo "or see http://www.gnu.org/software/libtool"
 	DIE=1
 }
 
-(automake-1.4 --version) < /dev/null > /dev/null 2>&1 || {
+(automake --version) < /dev/null > /dev/null 2>&1 || {
 	echo
-	echo "You must have latest automake 1.4 installed to compile libxml,"
-        echo "or alternatively create a symlink from automake-1.4 to "
-        echo "plain automake."
-        echo "Newer versions of automake 1.4 come with the symlink "
-        echo "pregenerated. This will allow you to compile libxml "
-        echo "while also installing newer automakes such as 1.6."
-	echo "Get ftp://sources.redhat.com/pub/automake/automake-1.4l.tar.gz"
-	echo "(or a newer version in the 1.4 series if it is available)."              
 	DIE=1
+	echo "You must have automake installed to compile libxml."
+	echo "Download the appropriate package for your distribution,"
+	echo "or see http://www.gnu.org/software/automake"
 }
 
 if test "$DIE" -eq 1; then
@@ -52,8 +47,8 @@
 fi
 
 libtoolize --copy --force
-aclocal-1.4 $ACLOCAL_FLAGS
-automake-1.4 --add-missing
+aclocal $ACLOCAL_FLAGS
+automake --add-missing
 autoconf
 
 cd $THEDIR
diff --git a/configure.in b/configure.in
index 404550f..d5c1206 100644
--- a/configure.in
+++ b/configure.in
@@ -209,7 +209,7 @@
   )
   AC_MSG_RESULT($have_ipv6)
 
-  if test $have_ipv6=yes; then
+  if test $have_ipv6 = yes; then
     AC_DEFINE(SUPPORT_IP6)
 
     have_getaddrinfo=no
@@ -220,7 +220,7 @@
       done
     fi
 
-    if test $have_getaddrinfo=yes; then
+    if test $have_getaddrinfo = yes; then
       AC_DEFINE(HAVE_GETADDRINFO)
     fi
   fi
@@ -259,6 +259,9 @@
           *-dec-osf* )
                CFLAGS="${CFLAGS} -ieee"
                ;;
+	  alpha*-*-linux* )
+	       CFLAGS="${CFLAGS} -ieee"
+	       ;;
     esac
 else
     if test "$with_fexceptions" = "yes"
diff --git a/doc/Makefile.am b/doc/Makefile.am
index 4b64173..b3b7680 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -11,6 +11,9 @@
 
 HTML_DIR=$(datadir)/doc
 
+# A file in win32 depends upon one of the doc files
+WIN32_DIR=$(top_srcdir)/win32
+
 TARGET_DIR=$(HTML_DIR)/$(DOC_MODULE)/html
 PAGES= architecture.html bugs.html contribs.html docs.html DOM.html \
     downloads.html entities.html example.html help.html index.html \
@@ -69,7 +72,12 @@
 libxml2-api.xml: apibuild.py ../include/libxml/*.h
 	-(./apibuild.py)
 
-api: libxml2-api.xml libxml2-refs.xml
+$(WIN32_DIR)/libxml2.def.src: libxml2-api.xml
+	-@(if [ -x $(bindir)/xsltproc ] ; then \
+	  $(bindir)/xsltproc -o $(WIN32_DIR)/libxml2.def.src \
+	  --nonet $(WIN32_DIR)/defgen.xsl libxml2-api.xml ; fi )
+
+api: libxml2-api.xml libxml2-refs.xml $(WIN32_DIR)/libxml2.def.src
 
 html:
 	if test -n -d html ; then mkdir html ; fi
diff --git a/trionan.c b/trionan.c
index 2e276d8..1927ef3 100644
--- a/trionan.c
+++ b/trionan.c
@@ -51,7 +51,11 @@
 # include <signal.h>
 #endif
 #if defined(TRIO_COMPILER_DECC)
-# include <fp_class.h>
+#  if defined(__linux__)
+#   include <cpml.h>
+#  else
+#   include <fp_class.h>
+#  endif
 #endif
 #include <assert.h>
 
@@ -435,7 +439,7 @@
 TRIO_ARGS1((number),
 	   double number)
 {
-#if defined(TRIO_COMPILER_DECC)
+#if defined(TRIO_COMPILER_DECC) && !defined(__linux__)
   /*
    * DECC has an isinf() macro, but it works differently than that
    * of C99, so we use the fp_class() function instead.